0 errors, 1 warnings, 2 tasks

There were 1 warnings.

warning
Could not read external cross reference links
  https://docs.duckietown.org/daffy/course-extra/out/index.html

 > Traceback (most recent call last):
 >   File "/project/mcdp/src/mcdp_utils_misc/cache_downloads.py", line 143, in get_url_bytes
 >     data = subprocess.check_output(cmd, stderr=subprocess.PIPE)
 >   File "/usr/lib/python3.7/subprocess.py", line 411, in check_output
 >     **kwargs).stdout
 >   File "/usr/lib/python3.7/subprocess.py", line 512, in run
 >     output=stdout, stderr=stderr)
 > subprocess.CalledProcessError: Command '['curl', 'https://docs.duckietown.org/daffy/course-extra/out/index.html', '--fail', '-L', '-m', '5']' returned non-zero exit status 22.
 > 
 > During handling of the above exception, another exception occurred:
 > 
 > Traceback (most recent call last):
 >   File "/project/mcdp/src/mcdp_docs/crossrefs.py", line 262, in load_url
 >     fn = download_and_cache_text(url)
 >   File "/project/mcdp/src/mcdp_utils_misc/cache_downloads.py", line 91, in download_and_cache_text
 >     data = get_url_bytes_retry(url, ntries=ntries, wait=2, timeout=5)
 >   File "/project/mcdp/src/mcdp_utils_misc/cache_downloads.py", line 116, in get_url_bytes_retry
 >     return get_url_bytes(url, timeout=timeout)
 >   File "/project/mcdp/src/mcdp_utils_misc/cache_downloads.py", line 147, in get_url_bytes
 >     raise CouldNotDownload(msg)
 > mcdp_utils_misc.cache_downloads.CouldNotDownload: Could not call ['curl', 'https://docs.duckietown.org/daffy/course-extra/out/index.html', '--fail', '-L', '-m', '5']: Command '['curl', 'https://docs.duckietown.org/daffy/course-extra/out/index.html', '--fail', '-L', '-m', '5']' returned non-zero exit status 22.
 > 
 > The above exception was the direct cause of the following exception:
 > 
 > Traceback (most recent call last):
 >   File "/project/mcdp/src/mcdp_docs/crossrefs.py", line 209, in get_cross_refs
 >     data1 = load_url(url)
 >   File "/project/mcdp/src/mcdp_docs/crossrefs.py", line 266, in load_url
 >     raise NotFound("could not read: %s" % ex) from ex
 > mcdp_docs.crossrefs.NotFound: could not read: Could not call ['curl', 'https://docs.duckietown.org/daffy/course-extra/out/index.html', '--fail', '-L', '-m', '5']: Command '['curl', 'https://docs.duckietown.org/daffy/course-extra/out/index.html', '--fail', '-L', '-m', '5']' returned non-zero exit status 22.
 > 

(No locations provided)

Created by function n/a in module n/a.